WeakReferenceMap (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.util
Class WeakReferenceMap

    java.lang.Object
      java.util.AbstractMap
          org.hyperic.sigar.util.ReferenceMap
              org.hyperic.sigar.util.WeakReferenceMap

All Implemented Interfaces:
  java.util.Map

    public class WeakReferenceMap

extends ReferenceMap

Nested Class Summary

Nested classes/interfaces inherited from class org.hyperic.sigar.util.ReferenceMap
`ReferenceMap.MapReference, ReferenceMap.SoftValue, ReferenceMap.WeakValue`

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from class org.hyperic.sigar.util.ReferenceMap
`map, queue`

Constructor Summary
`WeakReferenceMap()`

Method Summary
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`

Methods inherited from class org.hyperic.sigar.util.ReferenceMap
`clear, entrySet, get, newInstance, newInstance, poll, remove, size, synchronizedMap`

Methods inherited from class java.util.AbstractMap
`clone, containsKey, containsValue, equals, hashCode, isEmpty, keySet, putAll, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WeakReferenceMap

    public WeakReferenceMap()

Method Detail

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `ReferenceMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.